Skip to main content
GET
Get an invoice

Authorizations

Authorization
string
header
required

Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.

Path Parameters

invoiceId
string<uuid>
required

Invoice ID.

Response

The invoice.

invoiceId
string<uuid>
reservationId
string<uuid>
type
string

Such as down_payment, recurring for a period invoice, or storage. Handle values you do not recognize.

amountCents
integer<int64>
currency
string
status
string

draft, open, paid, void, uncollectible, or a transitional value while the invoice is issued or a payment is processed. An open invoice past dueDate is overdue.

dueDate
string<date>
paidAt
string<date-time>
hostedInvoiceUrl
string

Hosted page for paying the invoice and reading wire instructions.

invoicePdfUrl
string
servicePeriodStart
string<date>
servicePeriodEnd
string<date>
createdAt
string<date-time>
updatedAt
string<date-time>